#if !defined(_NON_ANSI_H)
#define _NON_ANSI_H 1

#include "config.h" 
#include "mglong.h"
# if !defined(__STDC__)

#include <stdlib.h>  /* for FILE def */
#if defined (__cplusplus)
extern "C" {
#endif

int fileno(FILE *);
int ftruncate(int, mg_s_long);
int pclose(FILE *);
FILE *popen(const char *command, const char *type);
int getpagesize();
int strcasecmp(const char *, const char *);

#if defined (__cplusplus)
}
#endif

#endif /* !defined STDC, ... */
#endif
